org.apache.sysds.api

## Class DMLOptions

- java.lang.Object
- - org.apache.sysds.api.DMLOptions

-     public class DMLOptions
      extends Object

  Set of DMLOptions that can be set through the command line and `MLContext` The values have been initialized with the default values Despite there being a DML and PyDML, this class is named DMLOptions to keep it consistent with `DMLOptions` and `DMLOptions`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Map<String,String>` | `argVals`
    `boolean` | `checkPrivacy`
    `boolean` | `clean`
    `String` | `configFile`
    `boolean` | `debug`
    `static DMLOptions` | `defaultOptions`
    `Types.ExecMode` | `execMode`
    `Explain.ExplainType` | `explainType`
    `boolean` | `fedStats`
    `int` | `fedStatsCount`
    `boolean` | `fedWorker`
    `int` | `fedWorkerPort`
    `String` | `filePath`
    `boolean` | `forceGPU`
    `boolean` | `gpu`
    `boolean` | `help`
    `LineageCacheConfig.LineageCachePolicy` | `linCachePolicy`
    `boolean` | `lineage`
    `boolean` | `lineage_debugger`
    `boolean` | `lineage_dedup`
    `boolean` | `lineage_estimate`
    `LineageCacheConfig.ReuseCacheType` | `linReuseType`
    `boolean` | `memStats`
    `org.apache.commons.cli.Options` | `options`
    `String` | `script`
    `boolean` | `stats`
    `int` | `statsCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DMLOptions(org.apache.commons.cli.Options opts)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DMLOptions` | `parseCLArguments(String[] args)` Parses command line arguments to create a `DMLOptions` instance with the correct options
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### options

          public final org.apache.commons.cli.Options options

    - #### argVals

          public Map<String,String> argVals

    - #### configFile

          public String configFile

    - #### clean

          public boolean clean

    - #### stats

          public boolean stats

    - #### statsCount

          public int statsCount

    - #### fedStats

          public boolean fedStats

    - #### fedStatsCount

          public int fedStatsCount

    - #### memStats

          public boolean memStats

    - #### explainType

          public Explain.ExplainType explainType

    - #### execMode

          public Types.ExecMode execMode

    - #### gpu

          public boolean gpu

    - #### forceGPU

          public boolean forceGPU

    - #### debug

          public boolean debug

    - #### filePath

          public String filePath

    - #### script

          public String script

    - #### help

          public boolean help

    - #### lineage

          public boolean lineage

    - #### lineage_dedup

          public boolean lineage_dedup

    - #### linReuseType

          public LineageCacheConfig.ReuseCacheType linReuseType

    - #### linCachePolicy

          public LineageCacheConfig.LineageCachePolicy linCachePolicy

    - #### lineage_estimate

          public boolean lineage_estimate

    - #### lineage_debugger

          public boolean lineage_debugger

    - #### fedWorker

          public boolean fedWorker

    - #### fedWorkerPort

          public int fedWorkerPort

    - #### checkPrivacy

          public boolean checkPrivacy

    - #### defaultOptions

          public static final DMLOptions defaultOptions

  - ### Constructor Detail

    - #### DMLOptions

          public DMLOptions(org.apache.commons.cli.Options opts)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### parseCLArguments

          public static DMLOptions parseCLArguments(String[] args)
                                             throws org.apache.commons.cli.ParseException

      Parses command line arguments to create a `DMLOptions` instance with the correct options
      Parameters:
        `args` - arguments from the command line
      Returns:
        an instance of `DMLOptions` that contain the correct `Option`s.
      Throws:
        `org.apache.commons.cli.ParseException` - if there is an incorrect option specified in the CLI

Copyright © 2021 The Apache Software Foundation. All rights reserved.